JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const agent = await client.agent.create({ name: 'x' });
console.log(agent.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
agent = client.agent.create(
name="x",
)
print(agent.data)curl --request POST \
--url https://api.roark.ai/v1/agent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"customId": "<string>",
"prompt": "<string>",
"endpoint": {
"value": "<string>",
"environment": "production",
"outboundDialType": "NONE",
"outboundDialHttpRequestDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"websiteUrl": "<string>",
"testingInstructions": "<string>",
"autoSetup": {
"enabled": true,
"explore": {
"enabled": true,
"maxConversations": 10,
"maxConversationMinutes": 5
},
"capabilities": []
}
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roark.ai/v1/agent",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'customId' => '<string>',
'prompt' => '<string>',
'endpoint' => [
'value' => '<string>',
'environment' => 'production',
'outboundDialType' => 'NONE',
'outboundDialHttpRequestDefinitionId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'websiteUrl' => '<string>',
'testingInstructions' => '<string>',
'autoSetup' => [
'enabled' => true,
'explore' => [
'enabled' => true,
'maxConversations' => 10,
'maxConversationMinutes' => 5
],
'capabilities' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.roark.ai/v1/agent"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"customId\": \"<string>\",\n \"prompt\": \"<string>\",\n \"endpoint\": {\n \"value\": \"<string>\",\n \"environment\": \"production\",\n \"outboundDialType\": \"NONE\",\n \"outboundDialHttpRequestDefinitionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"websiteUrl\": \"<string>\",\n \"testingInstructions\": \"<string>\",\n \"autoSetup\": {\n \"enabled\": true,\n \"explore\": {\n \"enabled\": true,\n \"maxConversations\": 10,\n \"maxConversationMinutes\": 5\n },\n \"capabilities\": []\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.roark.ai/v1/agent")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"customId\": \"<string>\",\n \"prompt\": \"<string>\",\n \"endpoint\": {\n \"value\": \"<string>\",\n \"environment\": \"production\",\n \"outboundDialType\": \"NONE\",\n \"outboundDialHttpRequestDefinitionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"websiteUrl\": \"<string>\",\n \"testingInstructions\": \"<string>\",\n \"autoSetup\": {\n \"enabled\": true,\n \"explore\": {\n \"enabled\": true,\n \"maxConversations\": 10,\n \"maxConversationMinutes\": 5\n },\n \"capabilities\": []\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roark.ai/v1/agent")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"customId\": \"<string>\",\n \"prompt\": \"<string>\",\n \"endpoint\": {\n \"value\": \"<string>\",\n \"environment\": \"production\",\n \"outboundDialType\": \"NONE\",\n \"outboundDialHttpRequestDefinitionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"websiteUrl\": \"<string>\",\n \"testingInstructions\": \"<string>\",\n \"autoSetup\": {\n \"enabled\": true,\n \"explore\": {\n \"enabled\": true,\n \"maxConversations\": 10,\n \"maxConversationMinutes\": 5\n },\n \"capabilities\": []\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"customId": "<string>",
"industry": "HEALTHCARE",
"createdAt": "<string>",
"updatedAt": "<string>",
"setup": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"layers": [
{
"layer": "CORE",
"status": "COVERED",
"summary": "<string>"
}
],
"question": {
"question": "<string>",
"options": [
"<string>"
],
"defaultOption": "<string>"
},
"activity": [
{
"kind": "STATUS",
"text": "<string>",
"createdAt": "<string>"
}
],
"industry": "HEALTHCARE",
"capabilities": [
"APPOINTMENT_BOOKING"
],
"runPlanId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"explore": {
"enabled": true,
"maxConversations": 123,
"maxConversationMinutes": 123,
"conversationsUsed": 123
},
"testDataNeeded": [
{
"label": "<string>",
"reason": "<string>",
"callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"errorMessage": "<string>",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"layer": "CORE",
"kind": "FLOW",
"action": "CREATED",
"resourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"capability": "APPOINTMENT_BOOKING",
"source": {
"type": "CATALOGUE",
"url": "<string>",
"callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offsetMs": 123,
"quote": "<string>"
},
"reason": "<string>",
"origin": "DISCOVERED"
}
],
"createdAt": "<string>",
"completedAt": "<string>"
}
}
}{
"type": "validation",
"code": "invalid_parameter",
"message": "The request was invalid",
"param": "email"
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "forbidden",
"code": "permission_denied",
"message": "You do not have permission to access this resource"
}{
"type": "conflict",
"code": "resource_in_use",
"message": "The resource is in use and cannot be deleted"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Agents
Create an agent
Creates a new agent for the authenticated project.
POST
/
v1
/
agent
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const agent = await client.agent.create({ name: 'x' });
console.log(agent.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
agent = client.agent.create(
name="x",
)
print(agent.data)curl --request POST \
--url https://api.roark.ai/v1/agent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"customId": "<string>",
"prompt": "<string>",
"endpoint": {
"value": "<string>",
"environment": "production",
"outboundDialType": "NONE",
"outboundDialHttpRequestDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"websiteUrl": "<string>",
"testingInstructions": "<string>",
"autoSetup": {
"enabled": true,
"explore": {
"enabled": true,
"maxConversations": 10,
"maxConversationMinutes": 5
},
"capabilities": []
}
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roark.ai/v1/agent",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'customId' => '<string>',
'prompt' => '<string>',
'endpoint' => [
'value' => '<string>',
'environment' => 'production',
'outboundDialType' => 'NONE',
'outboundDialHttpRequestDefinitionId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'websiteUrl' => '<string>',
'testingInstructions' => '<string>',
'autoSetup' => [
'enabled' => true,
'explore' => [
'enabled' => true,
'maxConversations' => 10,
'maxConversationMinutes' => 5
],
'capabilities' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.roark.ai/v1/agent"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"customId\": \"<string>\",\n \"prompt\": \"<string>\",\n \"endpoint\": {\n \"value\": \"<string>\",\n \"environment\": \"production\",\n \"outboundDialType\": \"NONE\",\n \"outboundDialHttpRequestDefinitionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"websiteUrl\": \"<string>\",\n \"testingInstructions\": \"<string>\",\n \"autoSetup\": {\n \"enabled\": true,\n \"explore\": {\n \"enabled\": true,\n \"maxConversations\": 10,\n \"maxConversationMinutes\": 5\n },\n \"capabilities\": []\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.roark.ai/v1/agent")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"customId\": \"<string>\",\n \"prompt\": \"<string>\",\n \"endpoint\": {\n \"value\": \"<string>\",\n \"environment\": \"production\",\n \"outboundDialType\": \"NONE\",\n \"outboundDialHttpRequestDefinitionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"websiteUrl\": \"<string>\",\n \"testingInstructions\": \"<string>\",\n \"autoSetup\": {\n \"enabled\": true,\n \"explore\": {\n \"enabled\": true,\n \"maxConversations\": 10,\n \"maxConversationMinutes\": 5\n },\n \"capabilities\": []\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roark.ai/v1/agent")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"customId\": \"<string>\",\n \"prompt\": \"<string>\",\n \"endpoint\": {\n \"value\": \"<string>\",\n \"environment\": \"production\",\n \"outboundDialType\": \"NONE\",\n \"outboundDialHttpRequestDefinitionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"websiteUrl\": \"<string>\",\n \"testingInstructions\": \"<string>\",\n \"autoSetup\": {\n \"enabled\": true,\n \"explore\": {\n \"enabled\": true,\n \"maxConversations\": 10,\n \"maxConversationMinutes\": 5\n },\n \"capabilities\": []\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"customId": "<string>",
"industry": "HEALTHCARE",
"createdAt": "<string>",
"updatedAt": "<string>",
"setup": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"layers": [
{
"layer": "CORE",
"status": "COVERED",
"summary": "<string>"
}
],
"question": {
"question": "<string>",
"options": [
"<string>"
],
"defaultOption": "<string>"
},
"activity": [
{
"kind": "STATUS",
"text": "<string>",
"createdAt": "<string>"
}
],
"industry": "HEALTHCARE",
"capabilities": [
"APPOINTMENT_BOOKING"
],
"runPlanId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"explore": {
"enabled": true,
"maxConversations": 123,
"maxConversationMinutes": 123,
"conversationsUsed": 123
},
"testDataNeeded": [
{
"label": "<string>",
"reason": "<string>",
"callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"errorMessage": "<string>",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"layer": "CORE",
"kind": "FLOW",
"action": "CREATED",
"resourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"capability": "APPOINTMENT_BOOKING",
"source": {
"type": "CATALOGUE",
"url": "<string>",
"callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offsetMs": 123,
"quote": "<string>"
},
"reason": "<string>",
"origin": "DISCOVERED"
}
],
"createdAt": "<string>",
"completedAt": "<string>"
}
}
}{
"type": "validation",
"code": "invalid_parameter",
"message": "The request was invalid",
"param": "email"
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "forbidden",
"code": "permission_denied",
"message": "You do not have permission to access this resource"
}{
"type": "conflict",
"code": "resource_in_use",
"message": "The resource is in use and cannot be deleted"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Body
application/json
Input for creating a new agent
The industry the agent serves. Picks the default capabilities and industry checks setup adds.
Available options:
HEALTHCARE, FINANCIAL_SERVICES, INSURANCE, DEBT_COLLECTION, RETAIL, TRAVEL_AND_HOSPITALITY, TELECOMMUNICATIONS, TECHNOLOGY, PUBLIC_SECTOR, UTILITIES, LOGISTICS, AUTOMOTIVE, HOME_SERVICES, RESTAURANTS, EDUCATION, OTHER